agency-time

GET /v1/agency/time/tasks

The named pieces of work inside a project.

すべての agency-time エンドポイント

認証

ベアラー トークンとして API キーを送信します。このエンドポイントでは仕様に特定の権限が記載されていないため、キーに必要な最小限の権限を付与し、推測するのではなくレスポンスを確認してください。

このエンドポイントは組織IDを受け付けません。お使いのキーによって所属する組織がすでに特定されており、レスポンスはその組織にスコープされます。

試してみる

アングルブラケット内のすべてをご自身の値に置き換え、キーのプレースホルダーをご利用中のダッシュボードのキーに置き換えてください。

curl -X GET https://api.zinndigital.com/v1/agency/time/tasks \
  -H "Authorization: Bearer zdk_live_…"

ログインしていますか?ダッシュボード内のAPIコンソールでは、実際の組織IDやお客様ご自身のキーが自動入力され、ライブAPIに対してリクエストが実行されるため、実際のレスポンスを確認することができます。 API コンソールでこのエンドポイントを開く

詳細

A task is the finest thing a rate can be set on — the owner's *"a per hour rate for each thing"*. `fixed_price_billed` says whether a fixed-price task has already been invoiced, so the screen can say "already billed" rather than showing it as free work.

パラメータ

名前タイプ必須これがその内容です
project_id (query)stringいいえ
include_archived (query)booleanいいえ
limit (query)integerいいえMaximum items to return (page size).
cursor (query)stringいいえOpaque cursor from a previous page's `page.next_cursor`.

返信

名前タイプ必須これがその内容です
dataTimeTask[]はい
pagePageMetaはい

このエンドポイントが返すエラー

401 · 403